Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.security
Class ExtendedPrivateKey

    java.lang.Object
      |
      +--weblogic.security.Key
            |
            +--weblogic.security.RSAKey
                  |
                  +--weblogic.security.RSAPrivateKey
                        |
                        +--weblogic.security.RSAPrivateKeyPKCS8
                              |
                              +--com.beasys.commerce.ebusiness.security.ExtendedPrivateKey

public class ExtendedPrivateKey
extends weblogic.security.RSAPrivateKeyPKCS8
implements java.io.Serializable

See Also:
  Serialized Form

Fields inherited from class weblogic.security.RSAPrivateKeyPKCS8
`pkcs5`

Fields inherited from class weblogic.security.RSAPrivateKey
`coefficient, exponent1, exponent2, prime1, prime2, publicExponent`

Fields inherited from class weblogic.security.RSAKey
`exponent, modulus`

Fields inherited from class weblogic.security.Key
`entity, expirationDate, keyBytes`

Constructor Summary
`ExtendedPrivateKey()`
`ExtendedPrivateKey(weblogic.security.RSAPrivateKey rpk, weblogic.security.MD5RandomBitsSource rbs)`

Method Summary
`void` | `setPKCS5(weblogic.security.PKCS5 localPKCS5)`

Methods inherited from class weblogic.security.RSAPrivateKeyPKCS8
`getKey, input, length, output, setPassword, setPassword`

Methods inherited from class weblogic.security.RSAPrivateKey
`getPublicExponent, isPublic`

Methods inherited from class weblogic.security.RSAKey
`getExponent, getModulus, initialize, modulusLength, save, setBytes, setModulusExponent, toString`

Methods inherited from class weblogic.security.Key
`getBytes, getEntity, getExpirationDate, keySize, setEntity, setExpirationDate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExtendedPrivateKey

    public ExtendedPrivateKey()

### ExtendedPrivateKey

    public ExtendedPrivateKey(weblogic.security.RSAPrivateKey rpk,
                              weblogic.security.MD5RandomBitsSource rbs)

Method Detail

### setPKCS5

    public void setPKCS5(weblogic.security.PKCS5 localPKCS5)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved